Opus audio codec (RFC 6716): API and operations manual
| 1.6

Loading...
Searching...
No Matches
opus_types.h File Reference

Opus reference implementation types. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | opus_int int /* used for counters etc; at least 16 bits */
#define | opus_int64 long long
#define | opus_int8 signed char
#define | opus_uint unsigned int /* used for counters etc; at least 16 bits */
#define | opus_uint64 unsigned long long
#define | opus_uint8 unsigned char

## Typedefs
typedef short | opus_int16
typedef unsigned short | opus_uint16
typedef int | opus_int32
typedef unsigned int | opus_uint32

## Detailed Description

Opus reference implementation types.

## Macro Definition Documentation

## ◆ opus_int

#define opus_int int /* used for counters etc; at least 16 bits */

## ◆ opus_int64

#define opus_int64 long long

## ◆ opus_int8

#define opus_int8 signed char

## ◆ opus_uint

#define opus_uint unsigned int /* used for counters etc; at least 16 bits */

## ◆ opus_uint64

#define opus_uint64 unsigned long long

## ◆ opus_uint8

#define opus_uint8 unsigned char

## Typedef Documentation

## ◆ opus_int16

typedef short opus_int16

## ◆ opus_int32

typedef int opus_int32

## ◆ opus_uint16

typedef unsigned short opus_uint16

## ◆ opus_uint32

typedef unsigned int opus_uint32